SplineController warning message

I was trying to use the SplineController script from the wiki.

It is working really nice, but I get a warning message at line

"enum eEndPointsMode { AUTO = 0, AUTOCLOSED, EXPLICIT }" (First line)

Warning: You are trying to create a MonoBehaviour using the 'new' keyword.

In splineinterpolator.js

Thanks for helping

The c# version (linked at the top of the same page) doesn't have the error - i'd strongly recommend using it instead

It looks like the js version hasn't been updated since unity 2.1